Bug 176043 - nm-applet doesn't fully support KDE; keyring save errors
nm-applet doesn't fully support KDE; keyring save errors
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2005-12-18 02:24 EST by Stephen Warren
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-18 19:26:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Warren 2005-12-18 02:24:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051211 Fedora/1.5-1.1 Firefox/1.5

Description of problem:
nm-applet isn't that useful under KDE, where it can't remember WEP keys for networks etc.

When a WEP key is provided to nm-applet, it attempts to save it, which yields the following error message:

** (nm-applet:3000): WARNING **: Error saving passphrase in keyring.  Ret=2

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Login to KDE
2. Run nm-applet
3. Enter a WEP key
4. Note errors in /tmp/xses-*
5. reboot & login
6. Note nm-applet didn't remember WEP key

Additional info:
Comment 1 Christopher Aillon 2005-12-18 19:26:35 EST
nm-applet is designed for GNOME only.  If you are able to run it at all under
KDE, that's somewhat lucky, but its unsupported.  If someone were to write a KDE
version of the applet, we would gladly accept it.
Comment 2 Stephen Warren 2005-12-19 03:29:57 EST
That's odd. It works fine under KDE, except for the fact it can't save the WEP keys.

Perhaps KDE should be removed from FC if it isn't supported!

Note You need to log in before you can comment on or make changes to this bug.